1 Reply Latest reply on Feb 27, 2014 9:48 AM by Max Barkley

    Cannot run Errai Dev Mode with JBoss AS or Wildfly

    xybrek Newbie

      'm trying to use Errai 3 new features which is JBoss AS

      integration, however I am getting this error:

      [ERROR] Unable to load server class

      'org.jboss.errai.cdi.server.gwt.JBossLauncher' [ERROR]

      java.lang.ClassNotFoundException:

      org.jboss.errai.cdi.server.gwt.JBossLauncher [ERROR]

      at java.net.URLClassLoader$1.run

      (URLClassLoader.java:366) [ERROR] at

      java.net.URLClassLoader$1.run

      (URLClassLoader.java:355) [ERROR] at

      java.security.AccessController.doPrivileged(Native

      Method) [ERROR] at java.net.URLClassLoader.findClass

      (URLClassLoader.java:354) [ERROR] at

      java.lang.ClassLoader.loadClass

      (ClassLoader.java:425) [ERROR] at sun.misc.Launcher

      $AppClassLoader.loadClass(Launcher.java:308)

      [ERROR] at java.lang.ClassLoader.loadClass

      (ClassLoader.java:358) [ERROR] at

      java.lang.Class.forName0(Native Method) [ERROR] at

      java.lang.Class.forName(Class.java:270) [ERROR] at

      com.google.gwt.dev.DevMode

      $ArgHandlerServer.setString(DevMode.java:118)

      [ERROR] at

      com.google.gwt.util.tools.ArgHandlerString.handle

      (ArgHandlerString.java:26) [ERROR] at

      com.google.gwt.util.tools.ToolBase.processArgs

      (ToolBase.java:238) [ERROR] at

      com.google.gwt.dev.ArgProcessorBase.processArgs

      (ArgProcessorBase.java:29) [ERROR] at

      com.google.gwt.dev.DevMode.main(DevMode.java:310)

      The POM configuration is this:

      <configuration>

         <logLevel>WARN</logLevel>

         <runTarget>App.html</runTarget>

         <!--<extraJvmArgs>-Xmx1500m -

      XX:MaxPermSize=1000m -XX:-

      UseSplitVerifier</extraJvmArgs>-->

         <extraJvmArgs>-Xmx1500m -

      XX:CompileThreshold=7000 -

      XX:MaxPermSize=1000m -Derrai.jboss.home=

      ${errai.jboss.home} -

      Derrai.jboss.javaagent.path=

      ${settings.localRepository}/org/jboss/

      errai/errai-client-local-class-hider/

      ${errai.devmode.version}/errai-client-

      local-class-hider-

      ${errai.devmode.version}.jar</

      extraJvmArgs>

         <!--<soyc>false</soyc>-->

         <hostedWebapp>src/main/webapp</

      hostedWebapp>

         <!--

      <server>org.jboss.errai.cdi.server.gwt.

      JettyLauncher</server>-->

         <compileSourcesArtifacts>

      <compileSourcesArtifact>org.drools:guvnor-

      api</compileSourcesArtifact>

            <compileSourcesArtifact>org.drools:

      droolsjbpm-ide-common</

      compileSourcesArtifact>

      <compileSourcesArtifact>com.mycompany:

      models</compileSourcesArtifact>

         </compileSourcesArtifacts>

         <noServer>false</noServer>

         <server>org.jboss.errai.cdi.server.gwt.

      JBossLauncher</server>

         <disableCastChecking>true</

      disableCastChecking>

         <runTarget>webapp/App.html</runTarget>

         <!-- The GWT compiler must the correct

      JDT version -->

         <!-- drools-compiler has dependency on

      org.eclipse.jdt.core.compiler:ecj:jar:3.5.

      1:compile -->

         <gwtSdkFirstInClasspath>true</

      gwtSdkFirstInClasspath>

         <draftCompile>false</draftCompile>

      </configuration>

      What could be missing here?